# Group Messages
This section groups messages resources.

## Message [/api/messages]

+ Attributes (object, fixed-type)
    + id: 1 (number) - Unique message indentifier.
    + sender: `Bob` (string) - Sender name.
    + recipient: `Anna` (string) - Recipient name.
    + created_at: `2020-11-11 22:22:22` (string) - Created timestamp.
    + updated_at: `2020-11-11 22:22:22` (string) - Updated timestamp.

### Get Messages [GET /api/messages]

+ Request (application/json)
    :[](shared/OAuthHeaders.md)

+ Response 200 (application/json)
    + Attributes (object, fixed-type)
        + data (array[Message], fixed-type)


### Get Message [GET /api/messages/{message_id}]

+ Parameters
    + message_id: 1 (number) - Message unique identifier.

+ Request (application/json)
    :[](shared/OAuthHeaders.md)

+ Response 200 (application/json)
    + Attributes (object, fixed-type)
        + data (Message, fixed-type)


### Create Message [POST /api/messages]

+ Request (application/json)
    :[](shared/OAuthHeaders.md)
    + Attributes (object, fixed-type)
        + sender: `Bob` (string) - Sender name.
        + recipient: `Anna` (string) - Recipient name.
        + content: `Hello World!` (string) - Message content.

+ Response 201 (application/json)
    + Attributes (object, fixed-type)
        + data (Message, fixed-type)
